package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import com.brilliance.isc.esb.newmodel.cecm.Cecmdata;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CecmdataMapper {

    int insert(Cecmdata record);

    int insertSelective(Cecmdata record);

    int updateByPrimaryKeySelective(Cecmdata record);

    int updateByPrimaryKey(Cecmdata record);

    int deleteByPrimaryKey(Cecmdata record);

    int deleteByIds(Collection<Object> collection);

    Cecmdata selectByPrimaryKey(Cecmdata record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cecmdata> dyncRead(Map<String, Object> dyncMap);

    Cecmdata selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}